/* ***************************************************************************+
 * ITX package (cnrg.itx) for telephony application programming.              *
 * Copyright (c) 1999  Cornell University, Ithaca NY.                         *
 * A copy of the license is distributed with this package.  Look in the docs  *
 * directory, filename GPL.  Contact information: bergmark@cs.cornell.edu     *
 ******************************************************************************/

package cnrg.itx.datax.devices;

import cnrg.itx.datax.*;

/**
 * Class for creating a placeholder Source when we use Channels with no real Source, but do have a source of data
 */
public class DummySource implements Source {
		
	public DummySource() {}
	public void start() {} 
	public boolean mute(boolean b){return true;} 
	public void close() {} 
	public Stats getStatistics(){return null;}
	public PropertiesCollection getProperties(){return null;}
	public void setProperties(PropertiesCollection pc){}
	public void setPeerProperties(PropertiesCollection pc){}
	
}
